> For the complete documentation index, see [llms.txt](https://nviasoft.gitbook.io/nviasoft-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://nviasoft.gitbook.io/nviasoft-docs/api-reference/alarm/getalarminfo.md).

# GetAlarmInfo

#### int GetAlarmInfo(int ALID, ref int nAlarmCode, ref string pszAlarmText)

EZGemPlus에 등록된 ALID의 ALCD(Alarm Code)와 ALTXT(Alarm Text)를 넘겨줌.

Parameters

<table data-header-hidden><thead><tr><th width="182" valign="top"></th><th width="187" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Name</td><td valign="top">Type</td><td valign="top">Description</td></tr><tr><td valign="top">ALID</td><td valign="top">int</td><td valign="top">정보를 받기 원하는 ALID</td></tr><tr><td valign="top">nAlarmCode</td><td valign="top">ref int</td><td valign="top">ALCD를 받을 변수</td></tr><tr><td valign="top">pszAlarmText</td><td valign="top">ref string</td><td valign="top">ALTXT를 받을 변수</td></tr></tbody></table>

Return Value

<table data-header-hidden><thead><tr><th width="177" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Value</td><td valign="top">Description</td></tr><tr><td valign="top">>=0</td><td valign="top">조회를 시도한 ALID 반환</td></tr><tr><td valign="top">&#x3C;0</td><td valign="top">실패 (Error Code 반환) Error Code는 Error Code List를 참조</td></tr></tbody></table>

```csharp
// 알람 상세 정보를 조회하여 콘솔에 출력하는 예제
public void DisplayAlarmDetail(int nALID)
{
    // 1. 정보를 담을 변수 초기화
    int nAlarmCode = 0;          // ALCD 가 담길 변수
    string strAlarmText = "";    // 알람 내용(Description)이 담길 변수

    // 2. GetAlarmInfo 호출 (ref 키워드 사용 필수)
    int nResult = m_gem.GetAlarmInfo(nALID, ref nAlarmCode, ref strAlarmText);
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://nviasoft.gitbook.io/nviasoft-docs/api-reference/alarm/getalarminfo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
